Subject: Re: bug#22425: 24.5; hide-ifdef-mode does not consider #elif defined
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 21 Jan 2016 18:11:31 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: [email-masked]
> Date: Thu, 21 Jan 2016 11:26:45 +0100
> 
> the hide-ifdef-mode minor mode does not consider "#elif defined"
> lines. Example program demonstrating the issue:
> 
>     #include <stdio.h>
>     
>     int main()
>     {
>     #if defined(_WIN32)
>       printf("Windows\n");
>     #elif defined(__unix__)
>       printf("Unixish\n");
>     #else
>     #error unsupported system
>     #endif
>       return 0;
>     }
> 
> Trying to collapse only the "#if defined(_WIN32)" part or only the
> "#elif defined(__unix__)" part will not work. hide-ifdef-mode should
> allow that.

Thank you for taking time and effort to report this.

I can reproduce this in Emacs 24.5, but not in the current emacs-25
branch that will become Emacs 25.1.  So I guess this deficiency was
already fixed, and I'm therefore marking this bug done.